Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.detail
Class ListDetailPane.ColumnCache

    java.lang.Object
      org.gjt.jclasslib.browser.detail.ListDetailPane.ColumnCache

Enclosing class:
  ListDetailPane

public static class ListDetailPane.ColumnCache
extends Object

Class for caching dynamically computed values in a read only table.

Constructor Summary
`ListDetailPane.ColumnCache(int rowNumber, int columnNumber)` Constructor.

Method Summary
`Object` | `getValueAt(int row, int column)` Get the cached value of a specific cell.
`void` | `setValueAt(int row, int column, Object value)` Set the cached value of a specific cell.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDetailPane.ColumnCache

    public ListDetailPane.ColumnCache(int rowNumber,
                                      int columnNumber)

  Constructor.

Parameters:
  `rowNumber` - the row number.
  `columnNumber` - the column number.

Method Detail

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Get the cached value of a specific cell.

  Parameters:
    `row` - the row number of the cell
    `column` - the column number of the cell
  Returns:
    the value

### setValueAt

    public void setValueAt(int row,
                           int column,
                           Object value)

  Set the cached value of a specific cell.

  Parameters:
    `row` - the row number of the cell
    `column` - the column number of the cell
    `value` - the value

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD